package com.menagerie.themeswitcher

import androidx.compose.ui.window.Window
import androidx.compose.ui.window.application

fun main() {

    val prefs = createDataStore{
        "settings/files/stuff/{$DATA_STORE_FILE_NAME}"
    }
    application {
        Window(
            onCloseRequest = ::exitApplication,
            title = "ThemeSwitcher",
        ) {
            App(
                prefs = prefs
            )
        }
    }
}